### Hierarchy

- Http2Session
  - ClientHttp2Session

## Index

### Properties

- alpnProtocol
- closed
- connecting
- destroyed
- encrypted
- localSettings
- originSet
- pendingSettingsAck
- remoteSettings
- socket
- state
- type
- defaultMaxListeners

### Methods

- addListener
- close
- destroy
- emit
- eventNames
- getMaxListeners
- goaway
- listenerCount
- listeners
- off
- on
- once
- ping
- prependListener
- prependOnceListener
- priority
- rawListeners
- ref
- removeAllListeners
- removeListener
- request
- rstStream
- setMaxListeners
- setTimeout
- settings
- unref
- listenerCount

## Properties

### Optional alpnProtocol

alpnProtocol: undefined | string

Inherited from Http2Session.alpnProtocol

- Defined in node_modules/@types/node/http2.d.ts:256

### closed

closed: boolean

Inherited from Http2Session.closed

- Defined in node_modules/@types/node/http2.d.ts:258

### connecting

connecting: boolean

Inherited from Http2Session.connecting

- Defined in node_modules/@types/node/http2.d.ts:259

### destroyed

destroyed: boolean

Inherited from Http2Session.destroyed

- Defined in node_modules/@types/node/http2.d.ts:261

### Optional encrypted

encrypted: undefined | false | true

Inherited from Http2Session.encrypted

- Defined in node_modules/@types/node/http2.d.ts:262

### localSettings

localSettings: Settings

Inherited from Http2Session.localSettings

- Defined in node_modules/@types/node/http2.d.ts:264

### Optional originSet

originSet: string[]

Inherited from Http2Session.originSet

- Defined in node_modules/@types/node/http2.d.ts:265

### pendingSettingsAck

pendingSettingsAck: boolean

Inherited from Http2Session.pendingSettingsAck

- Defined in node_modules/@types/node/http2.d.ts:266

### remoteSettings

remoteSettings: Settings

Inherited from Http2Session.remoteSettings

- Defined in node_modules/@types/node/http2.d.ts:270

### socket

socket: Socket | TLSSocket

Inherited from Http2Session.socket

- Defined in node_modules/@types/node/http2.d.ts:273

### state

state: SessionState

Inherited from Http2Session.state

- Defined in node_modules/@types/node/http2.d.ts:274

### type

type: number

Inherited from Http2Session.type

- Defined in node_modules/@types/node/http2.d.ts:277

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "altsvc", listener: function): this
- addListener(event: "connect", listener: function): this
- addListener(event: "stream", listener: function): this

- Overrides Http2Session.addListener

  - Defined in node_modules/@types/node/http2.d.ts:344

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides Http2Session.addListener

  - Defined in node_modules/@types/node/http2.d.ts:345

  #### Parameters

  - ##### event: "altsvc"

  - ##### listener: function

    - - (alt: string, origin: string, stream: number): void

      - #### Parameters

        - ##### alt: string

        - ##### origin: string

        - ##### stream: number

        #### Returns void

  #### Returns this

- Overrides Http2Session.addListener

  - Defined in node_modules/@types/node/http2.d.ts:346

  #### Parameters

  - ##### event: "connect"

  - ##### listener: function

    - - (session: ClientHttp2Session, socket: Socket | TLSSocket): void

      - #### Parameters

        - ##### session: ClientHttp2Session

        - ##### socket: Socket | TLSSocket

        #### Returns void

  #### Returns this

- Overrides Http2Session.addListener

  - Defined in node_modules/@types/node/http2.d.ts:347

  #### Parameters

  - ##### event: "stream"

  - ##### listener: function

    - - (stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): void

      - #### Parameters

        - ##### stream: ClientHttp2Stream

        - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

        - ##### flags: number

        #### Returns void

  #### Returns this

### close

- close(callback?: undefined | function): void

- Inherited from Http2Session.close

  - Defined in node_modules/@types/node/http2.d.ts:257

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### destroy

- destroy(error?: Error, code?: undefined | number): void

- Inherited from Http2Session.destroy

  - Defined in node_modules/@types/node/http2.d.ts:260

  #### Parameters

  - ##### Optional error: Error

  - ##### Optional code: undefined | number

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "altsvc", alt: string, origin: string, stream: number): boolean
- emit(event: "connect", session: ClientHttp2Session, socket: Socket | TLSSocket): boolean
- emit(event: "stream", stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): boolean

- Overrides Http2Session.emit

  - Defined in node_modules/@types/node/http2.d.ts:349

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides Http2Session.emit

  - Defined in node_modules/@types/node/http2.d.ts:350

  #### Parameters

  - ##### event: "altsvc"

  - ##### alt: string

  - ##### origin: string

  - ##### stream: number

  #### Returns boolean

- Overrides Http2Session.emit

  - Defined in node_modules/@types/node/http2.d.ts:351

  #### Parameters

  - ##### event: "connect"

  - ##### session: ClientHttp2Session

  - ##### socket: Socket | TLSSocket

  #### Returns boolean

- Overrides Http2Session.emit

  - Defined in node_modules/@types/node/http2.d.ts:352

  #### Parameters

  - ##### event: "stream"

  - ##### stream: ClientHttp2Stream

  - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

  - ##### flags: number

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### goaway

- goaway(code?: undefined | number, lastStreamID?: undefined | number, opaqueData?: Buffer | DataView | TypedArray): void

- Inherited from Http2Session.goaway

  - Defined in node_modules/@types/node/http2.d.ts:263

  #### Parameters

  - ##### Optional code: undefined | number

  - ##### Optional lastStreamID: undefined | number

  - ##### Optional opaqueData: Buffer | DataView | TypedArray

  #### Returns void

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "altsvc", listener: function): this
- on(event: "connect", listener: function): this
- on(event: "stream", listener: function): this

- Overrides Http2Session.on

  - Defined in node_modules/@types/node/http2.d.ts:354

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides Http2Session.on

  - Defined in node_modules/@types/node/http2.d.ts:355

  #### Parameters

  - ##### event: "altsvc"

  - ##### listener: function

    - - (alt: string, origin: string, stream: number): void

      - #### Parameters

        - ##### alt: string

        - ##### origin: string

        - ##### stream: number

        #### Returns void

  #### Returns this

- Overrides Http2Session.on

  - Defined in node_modules/@types/node/http2.d.ts:356

  #### Parameters

  - ##### event: "connect"

  - ##### listener: function

    - - (session: ClientHttp2Session, socket: Socket | TLSSocket): void

      - #### Parameters

        - ##### session: ClientHttp2Session

        - ##### socket: Socket | TLSSocket

        #### Returns void

  #### Returns this

- Overrides Http2Session.on

  - Defined in node_modules/@types/node/http2.d.ts:357

  #### Parameters

  - ##### event: "stream"

  - ##### listener: function

    - - (stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): void

      - #### Parameters

        - ##### stream: ClientHttp2Stream

        - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

        - ##### flags: number

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "altsvc", listener: function): this
- once(event: "connect", listener: function): this
- once(event: "stream", listener: function): this

- Overrides Http2Session.once

  - Defined in node_modules/@types/node/http2.d.ts:359

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides Http2Session.once

  - Defined in node_modules/@types/node/http2.d.ts:360

  #### Parameters

  - ##### event: "altsvc"

  - ##### listener: function

    - - (alt: string, origin: string, stream: number): void

      - #### Parameters

        - ##### alt: string

        - ##### origin: string

        - ##### stream: number

        #### Returns void

  #### Returns this

- Overrides Http2Session.once

  - Defined in node_modules/@types/node/http2.d.ts:361

  #### Parameters

  - ##### event: "connect"

  - ##### listener: function

    - - (session: ClientHttp2Session, socket: Socket | TLSSocket): void

      - #### Parameters

        - ##### session: ClientHttp2Session

        - ##### socket: Socket | TLSSocket

        #### Returns void

  #### Returns this

- Overrides Http2Session.once

  - Defined in node_modules/@types/node/http2.d.ts:362

  #### Parameters

  - ##### event: "stream"

  - ##### listener: function

    - - (stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): void

      - #### Parameters

        - ##### stream: ClientHttp2Stream

        - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

        - ##### flags: number

        #### Returns void

  #### Returns this

### ping

- ping(callback: function): boolean
- ping(payload: Buffer | DataView | TypedArray, callback: function): boolean

- Inherited from Http2Session.ping

  - Defined in node_modules/@types/node/http2.d.ts:267

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, duration: number, payload: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### duration: number

        - ##### payload: Buffer

        #### Returns void

  #### Returns boolean

- Inherited from Http2Session.ping

  - Defined in node_modules/@types/node/http2.d.ts:268

  #### Parameters

  - ##### payload: Buffer | DataView | TypedArray

  - ##### callback: function

    - - (err: Error | null, duration: number, payload: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### duration: number

        - ##### payload: Buffer

        #### Returns void

  #### Returns boolean

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "altsvc", listener: function): this
- prependListener(event: "connect", listener: function): this
- prependListener(event: "stream", listener: function): this

- Overrides Http2Session.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:364

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:365

  #### Parameters

  - ##### event: "altsvc"

  - ##### listener: function

    - - (alt: string, origin: string, stream: number): void

      - #### Parameters

        - ##### alt: string

        - ##### origin: string

        - ##### stream: number

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:366

  #### Parameters

  - ##### event: "connect"

  - ##### listener: function

    - - (session: ClientHttp2Session, socket: Socket | TLSSocket): void

      - #### Parameters

        - ##### session: ClientHttp2Session

        - ##### socket: Socket | TLSSocket

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:367

  #### Parameters

  - ##### event: "stream"

  - ##### listener: function

    - - (stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): void

      - #### Parameters

        - ##### stream: ClientHttp2Stream

        - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

        - ##### flags: number

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "altsvc", listener: function): this
- prependOnceListener(event: "connect", listener: function): this
- prependOnceListener(event: "stream", listener: function): this

- Overrides Http2Session.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:369

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:370

  #### Parameters

  - ##### event: "altsvc"

  - ##### listener: function

    - - (alt: string, origin: string, stream: number): void

      - #### Parameters

        - ##### alt: string

        - ##### origin: string

        - ##### stream: number

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:371

  #### Parameters

  - ##### event: "connect"

  - ##### listener: function

    - - (session: ClientHttp2Session, socket: Socket | TLSSocket): void

      - #### Parameters

        - ##### session: ClientHttp2Session

        - ##### socket: Socket | TLSSocket

        #### Returns void

  #### Returns this

- Overrides Http2Session.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:372

  #### Parameters

  - ##### event: "stream"

  - ##### listener: function

    - - (stream: ClientHttp2Stream, headers: IncomingHttpHeaders & IncomingHttpStatusHeader, flags: number): void

      - #### Parameters

        - ##### stream: ClientHttp2Stream

        - ##### headers: IncomingHttpHeaders & IncomingHttpStatusHeader

        - ##### flags: number

        #### Returns void

  #### Returns this

### priority

- priority(stream: Http2Stream, options: StreamPriorityOptions): void

- Inherited from Http2Session.priority

  - Defined in node_modules/@types/node/http2.d.ts:275

  #### Parameters

  - ##### stream: Http2Stream

  - ##### options: StreamPriorityOptions

  #### Returns void

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### ref

- ref(): void

- Inherited from Http2Session.ref

  - Defined in node_modules/@types/node/http2.d.ts:269

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### request

- request(headers?: OutgoingHttpHeaders, options?: ClientSessionRequestOptions): ClientHttp2Stream

- - Defined in node_modules/@types/node/http2.d.ts:342

  #### Parameters

  - ##### Optional headers: OutgoingHttpHeaders

  - ##### Optional options: ClientSessionRequestOptions

  #### Returns ClientHttp2Stream

### rstStream

- rstStream(stream: Http2Stream, code?: undefined | number): void

- Inherited from Http2Session.rstStream

  - Defined in node_modules/@types/node/http2.d.ts:271

  #### Parameters

  - ##### stream: Http2Stream

  - ##### Optional code: undefined | number

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(msecs: number, callback?: undefined | function): void

- Inherited from Http2Session.setTimeout

  - Defined in node_modules/@types/node/http2.d.ts:272

  #### Parameters

  - ##### msecs: number

  - ##### Optional callback: undefined | function

  #### Returns void

### settings

- settings(settings: Settings): void

- Inherited from Http2Session.settings

  - Defined in node_modules/@types/node/http2.d.ts:276

  #### Parameters

  - ##### settings: Settings

  #### Returns void

### unref

- unref(): void

- Inherited from Http2Session.unref

  - Defined in node_modules/@types/node/http2.d.ts:278

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc